package test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import entity.Order;

public class OneToOneTest {
  public static void main( String[] args ) {
    EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory(
            "testjpa");

    EntityManager em = entityManagerFactory.createEntityManager();

    Order order = em.find(Order.class, new Long(111));
    System.out.println("order : " + order);
    
    em.close();
    entityManagerFactory.close();
  }
}
